section {

    font-size: 18px;
    padding: 2.4em 0;
    position: relative;

    a {
        font-size: inherit;
        font-weight: bolder;
        text-transform: uppercase;

        &, &:hover, &:active, &:visited, &:focus {
            color: @ge-color-blue;
        }

        &.btn {
            font-size: inherit;
            margin: 6px;
            padding: .2em 1.2em;

            &, &:hover, &:active, &:visited, &:focus {
                background-color: rgba(0, 0, 0, .4);
                color: inherit;
                border: 1px solid @ge-color-light;
            }

            &.btn-primary {
                &:after {
                    content: '\f101';
                    font-family: FontAwesome;
                    padding-left: .4em;
                }
                &, &:hover, &:active, &:visited, &:focus {
                    background-color: @ge-color-blue;
                    border-color: @ge-color-blue;
                    color: @ge-color-light;
                }
            }
        }
    }

    > .container {
        text-align: center;
        > .header {
            margin: 0 auto 50px auto;
            width: 78%;
            p {
                margin-bottom: 28px;
            }
        }
    }

    h2 {
        font-size: 38px;
        font-weight: bold;
        margin: 35px 0 20px 0;
    }

    h3 {
        margin: 35px 0 15px 0;
    }

    &.dark {
        color: @ge-color-light;
        text-shadow: 0 0 6px #000;
        a {
            color: lighten(@ge-color-blue, 10%);
            &.btn {
                color: inherit;
            }
        }
    }

    &.grey {
        background-color: lighten(@ge-color-gray, 40%);
        color: @ge-color-gray;
    }

    &.light {
        background-color: transparent;
        color: @ge-color-gray;
        a.btn {
            border-color: @ge-color-gray;
        }
    }

    &.banner {
        min-height: 500px;

        > .container {
            font-size: 42px;
            font-weight: bolder;
            padding-top: 2em;
            text-align: left;

            p {
                margin-bottom: 1em;
                width: 80%;
            }

            a {
                font-size: 18px;
            }
        }
    }

    ul {
        list-style-type: square;
        text-align: left;

        &.thumbs {
            list-style: none;
            padding: 0;
            text-align: center;
            > li {
                background-color: #fff;
                box-shadow: 0 2px 4px rgba(0, 0, 0, 25%);
                box-sizing: border-box;
                font-size: 16px;
                padding: 1em 2em;
                p {
                    margin-bottom: 24px;
                }
            }
        
            @media(min-width: @screen-sm-min) {
                border-spacing: 1.2em;
                display: table;
                > li {
                    display: table-cell;
                    width: 25%;
                    h3 {
                        margin: 35px 0 15px 0;
                    }
                }
            }
        
            @media(max-width: @screen-xs-max) {
                display: block;
                > li {
                    display: block;
                    margin: 24px 0;
                    width: 100%;
                    h3 {
                        margin: 15px 0;
                    }
                }
            }
        }
    }

    &[data-offset] {
        @media(min-width: @screen-sm-min) {
            padding-top: 0px;
        }
        @media(max-width: @screen-xs-max) {
            margin-top: 0;
        }
    }

    .number {
        color: @ge-color-blue;
        font-size: 40px;
        font-weight: bold;
    }

    &[data-background] {
        .undercover();
    }
}


.undercover() {
    background-repeat: no-repeat;
    background-size: cover;
    > .container {
        position: relative;
    }
    &[data-fixed="yes"] {
        background-attachment: fixed;
    }
    &[data-shaded="yes"] {
        &:before {
            background-color: rgba(0, 0, 0, .6);
            content: '';
            height: 100%;
            left: 0;
            position: absolute;
            top: 0;
            width: 100%;
        }
    }
}
